
Foreman - Refactor #25205

Replace AutoComplete in filters forms by React SearchBar

10/15/2018 01:13 PM - Ron Lavi

Status: Closed   

Priority: Normal   

Assignee: Ondřej Ezr   

Category: JavaScript stack   

Target version:    

Difficulty:  Fixed in Releases: 2.0.0

Triaged: Yes Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/6615,

https://github.com/theforeman/foreman/p

ull/6980

  

Description

After the new React SearchBar was introduced,

we can now replace some AutoComplete implementations.

Related issues:

Related to Foreman - Bug #26040: Connect Autocomplete to Redux New

Related to Foreman Remote Execution - Bug #28314: REX uses auto_complete_sear... Closed

Related to Foreman - Bug #28315: Allow autocomplete to be used without scope ... Closed

Related to Katello - Bug #28383: Editing a host group result in blank page Closed

Associated revisions

Revision a97a3136 - 11/19/2019 02:01 PM - Ron Lavi

Fixes #25205 - replace form autocomplete in filters

Revision c651d839 - 11/19/2019 02:01 PM - Ondřej Ezr

Refs #25205 - move to the FormField factory

History

#1 - 10/15/2018 01:20 PM - The Foreman Bot

- Pull request https://github.com/theforeman/foreman/pull/6142 added

#2 - 10/15/2018 01:47 PM - Ewoud Kohl van Wijngaarden

- Category set to JavaScript stack

- Target version set to 1.21.0

#3 - 10/15/2018 01:48 PM - Ewoud Kohl van Wijngaarden

- Triaged changed from No to Yes

#4 - 10/18/2018 12:33 PM - The Foreman Bot

- Status changed from New to Ready For Testing

#5 - 12/03/2018 03:46 PM - Walden Raines

- Assignee set to Ron Lavi

#6 - 01/09/2019 01:47 PM - Tomer Brisker

- Target version deleted (1.21.0)

#7 - 02/12/2019 03:14 PM - Maria Agaphontzev
- Related to Bug #26040: Connect Autocomplete to Redux added

#8 - 03/24/2019 02:05 PM - The Foreman Bot

- Pull request https://github.com/theforeman/foreman/pull/6615 added

#9 - 07/24/2019 03:17 PM - Walden Raines

- Pull request deleted (https://github.com/theforeman/foreman/pull/6142)

#10 - 08/17/2019 06:02 PM - The Foreman Bot

- Pull request https://github.com/theforeman/foreman/pull/6980 added

#11 - 09/23/2019 01:13 PM - Ondřej Ezr

- Assignee changed from Ron Lavi to Ondřej Ezr

#12 - 11/19/2019 02:01 PM - The Foreman Bot

- Fixed in Releases 2.0.0 added

#13 - 11/19/2019 03:01 PM - Ron Lavi

- Status changed from Ready For Testing to Closed

Applied in changeset a97a3136665c88391e90c30fb5d86547dd8c8f8a.

#14 - 11/20/2019 10:10 AM - Adam Ruzicka

- Related to Bug #28314: REX uses auto_complete_search helper which was dropped from core added

#15 - 11/20/2019 11:46 AM - Ondřej Ezr

- Related to Bug #28315: Allow autocomplete to be used without scope - replace for #auto_complete_search added

#16 - 11/28/2019 05:40 PM - Amir Fefer

- Related to Bug #28383: Editing a host group result in blank page added
